Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.util
Class OptionConverter

    java.lang.Object
      org.apache.logging.log4j.core.util.OptionConverter

    public final class OptionConverter

extends Object

A convenience class to convert property values to specific types.

Method Summary
`static String[]` | `concatenateArrays(String[] l, String[] r)`
`static String` | `convertSpecialChars(String s)`
`static String` | `findAndSubst(String key, Properties props)` Find the value corresponding to `key` in `props`.
`static Object` | `instantiateByClassName(String className, Class<?> superClass, Object defaultValue)` Instantiate an object given a class name.
`static Object` | `instantiateByKey(Properties props, String key, Class<?> superClass, Object defaultValue)`
`static String` | `substVars(String val, Properties props)` Perform variable substitution in string `val` from the values of keys found in the system propeties.
`static boolean` | `toBoolean(String value, boolean defaultValue)` If `value` is "true", then `true` is returned.
`static long` | `toFileSize(String value, long defaultValue)`
`static int` | `toInt(String value, int defaultValue)` Convert the String value to an int.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### concatenateArrays

    public static String[] concatenateArrays(String[] l,
                                             String[] r)

### convertSpecialChars

    public static String convertSpecialChars(String s)

### instantiateByKey

    public static Object instantiateByKey(Properties props,
                                          String key,
                                          Class<?> superClass,
                                          Object defaultValue)

### toBoolean

    public static boolean toBoolean(String value,
                                    boolean defaultValue)

  If `value` is "true", then `true` is returned. If `value` is "false", then `false` is returned. Otherwise, `default` is returned.

  Case of value is unimportant.

  Parameters:
    `value` - The value to convert.
    `defaultValue` - The default value.
  Returns:
    true or false, depending on the value and/or default.

### toInt

    public static int toInt(String value,
                            int defaultValue)

  Convert the String value to an int.

  Parameters:
    `value` - The value as a String.
    `defaultValue` - The default value.
  Returns:
    The value as an int.

### toFileSize

    public static long toFileSize(String value,
                                  long defaultValue)

  Parameters:
    `value` - The size of the file as a String.
    `defaultValue` - The default value.
  Returns:
    The size of the file as a long.

### findAndSubst

    public static String findAndSubst(String key,
                                      Properties props)

  Find the value corresponding to `key` in `props`. Then perform variable substitution on the found value.

  Parameters:
    `key` - The key to locate.
    `props` - The properties.
  Returns:
    The String after substitution.

### instantiateByClassName

    public static Object instantiateByClassName(String className,
                                                Class<?> superClass,
                                                Object defaultValue)

  Instantiate an object given a class name. Check that the `className` is a subclass of `superClass`. If that test fails or the object could not be instantiated, then `defaultValue` is returned.

  Parameters:
    `className` - The fully qualified class name of the object to instantiate.
    `superClass` - The class to which the new object should belong.
    `defaultValue` - The object to return in case of non-fulfillment
  Returns:
    The created object.

### substVars

    public static String substVars(String val,
                                   Properties props)
                            throws IllegalArgumentException

  Perform variable substitution in string `val` from the values of keys found in the system propeties.

  The variable substitution delimiters are ${ and }.

  For example, if the System properties contains "key=value", then the call

       String s = OptionConverter.substituteVars("Value of key is ${key}.");

  will set the variable `s` to "Value of key is value.".

  If no value could be found for the specified key, then the `props` parameter is searched, if the value could not be found there, then substitution defaults to the empty string.

  For example, if system properties contains no value for the key "inexistentKey", then the call

       String s = OptionConverter.subsVars("Value of inexistentKey is [${inexistentKey}]");

  will set `s` to "Value of inexistentKey is []"

  An `IllegalArgumentException` is thrown if `val` contains a start delimeter "${" which is not balanced by a stop delimeter "}".

  Parameters:
    `val` - The string on which variable substitution is performed.
    `props` - The properties to use for substitution.
  Returns:
    The String after substitution.
  Throws:
    `IllegalArgumentException` - if `val` is malformed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.